Межсайтовый скриптинг и SQL-инъекция в CubeCart

Дата публикации:
21.08.2006
Всего просмотров:
1834
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-4267
CVE-2006-4268
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
CubeCart 3.x
Уязвимые версии: CubeCart 3.0.11, возможно более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "oid" сценария modules/gateway/Protx/confirmed.php, и в параметре "x_invoice_num" в сценарии modules/gateway/Authorize/confirmed.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости в параметре "x_invoice_num" опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP.

2. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

http://[host]/admin/filemanager/preview.php?file=[code]
http://[host/admin/filemanager/preview.php?file=1&x=[code]
http://[host]/admin/filemanager/preview.php?file=1&y=[code]
http://[host]/admin/login.php?email=[code]

URL производителя: www.cubecart.com

Решение: Установите последнюю версию (3.0.12) с сайта производителя.

Ссылки: CubeCart Security Patch
CubeCart <= 3.0.11 SQL injection & cross site scripting

или введите имя

CAPTCHA